GET
Stable2026-04-01幂等Try it/v1/users/{user_id}/pinpage-pages/{page_id}/versions/{version_id}/exports/{export_id}PageService.GetPageExport
GetPageExport
Refresh the controlled download ticket for a published artifact.
Authentication
| 支持组合 | OAuth 2.0 |
|---|---|
| No identity | |
| User identity | |
| Org identity |
所需 scopes:pinpage:read
Request
路径参数
| 名称 | 类型 | 必填 | 描述 |
|---|---|---|---|
user_id | string | yes | Required. Owner path; accepts me or the authenticated user's identifier. |
page_id | string | yes | Required. Owning page identifier. |
version_id | string | yes | Required. Immutable source version identifier. |
export_id | string | yes | Required. Persisted artifact identifier belonging to version_id. |
Response
200 OK · GetPageExportResponse
| 字段 | 类型 | 必填 | 描述 |
|---|---|---|---|
artifact | ExportArtifact | yes | Required. Artifact metadata and freshly authorized download ticket. |
错误响应 · google.rpc.Status
非 2xx 响应均按 AIP-193 规范包装为google.rpc.Status,含 code /message /details 三段。details[].reason 是机器可读的具体错误原因码,可用于客户端分支处理。
| 字段 | 类型 | 必填 | 描述 |
|---|---|---|---|
code | integer (int32) | — | The status code, which should be an enum value of google.rpc.Code. |
message | string | — | A developer-facing error message. |
details | array<Any> | — | A list of messages that carry the error details. |
Examples
curl -X GET \
'https://api.appforges.com/v1/users/{user_id}/pinpage-pages/{page_id}/versions/{version_id}/exports/{export_id}' \
-H 'Authorization: Bearer $ACCESS_TOKEN'OpenAPI spec v0.59.4 · synced 10/11/2026, 11:27:14 PM